QDragMoveEvent(3qt)

NAME
QDragMoveEvent - Event which is sent while a drag and drop is in progress

SYNOPSIS
#include <ntqevent.h>

Inherits QDropEvent.

Inherited by QDragEnterEvent.

  Public Members
QDragMoveEvent ( const QPoint & pos, Type type = DragMove )
QRect answerRect () const
void accept ( const QRect & r )
void ignore ( const QRect & r )

DESCRIPTION
The QDragMoveEvent class provides an event which is sent while a drag and drop is in progress.

When a widget accepts drop events, it will receive this event repeatedly while the drag is within the widget's boundaries. The widget should examine the event to see what data it provides, and accept() the drop if appropriate.

Note that this class inherits most of its functionality from QDropEvent.

See also Drag And Drop Classes and Event Classes.

MEMBER FUNCTION DOCUMENTATION

QDragMoveEvent::QDragMoveEvent ( const QPoint & pos, Type type = DragMove )
Creates a QDragMoveEvent for which the mouse is at point pos, and the event is of type type.

Warning: Do not create a QDragMoveEvent yourself since these objects rely on Qt's internal state.

void QDragMoveEvent::accept ( const QRect & r )
The same as accept(), but also notifies that future moves will also be acceptable if they remain within the rectangle r on the widget: this can improve performance, but may also be ignored by the underlying system.

If the rectangle is empty, then drag move events will be sent continuously. This is useful if the source is scrolling in a timer event.

Examples:

QRect QDragMoveEvent::answerRect () const
Returns the rectangle for which the acceptance of the move event applies.

void QDragMoveEvent::ignore ( const QRect & r )
The opposite of accept(const QRect&), i.e. says that moves within rectangle r are not acceptable (will be ignored).

Example: dirview/dirview.cpp.

SEE ALSO
http://doc.trolltech.com/qdragmoveevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqdragmoveevent.3qt) and the Qt version (3.3.8).